package com.red.circle.console.app.service.app.game;


import com.red.circle.console.app.dto.clienobject.game.GameUserLotteryRecordCO;
import com.red.circle.console.app.dto.clienobject.game.GameUserShardsExchangeRecordCO;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.game.GameEggConfigCmd;
import com.red.circle.other.inner.model.cmd.game.GameEggQryCmd;
import com.red.circle.other.inner.model.dto.game.GameEggStockConfigDTO;
import java.util.List;

/**
 * 砸金蛋-游戏服务.
 *
 * @author pengliang on 2022/8/23
 */
public interface GameEggBackService {

  /**
   * 获取配置.
   */
  List<GameEggStockConfigDTO> listConfig(String sysOrigin);

  /**
   * 修改平台配置.
   */
  void updateConfig(GameEggConfigCmd param);

  /**
   * 重置库存消耗为0.
   */
  void updateConsumeStockQuantityZero(Long id);

  /**
   * 奖金池.
   */
  String getPrizePool(String sysOrigin);

  /**
   * 抽取概率.
   */
  String getExtractRatio(String sysOrigin);

  /**
   * 设置抽取概率.
   */
  void setExtractRatio(String sysOrigin, String ratio);

  PageResult<GameUserLotteryRecordCO> pageGameUserLotteryRecord(GameEggQryCmd query);

  PageResult<GameUserShardsExchangeRecordCO> pageExchangeRecord(GameEggQryCmd query);
}
